Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy Arkance Systems [www.cadforum.cz]
CZ | SK | EN | DE
Přihlášení
či registrace
   právě nás čte: 2891 
RSS kanál - CAD tipy RSS tipy
RSS diskuze

Diskuze Diskuzní fórum, poradna

 

NápovědaCAD diskuze, rady, výměna zkušeností

 
CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy Arkance Systems (CAD Studio) - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Téma uzavřenoPoradí niekto???

 Odpovědět Odpovědět archiv
Autor
Pavoldubovany Zobrazit panel
Diskutér
Diskutér

Přihlášen: 23.bře.2007
Lokalita: Slovensko
Používám:
AutoCAD Mechanical 2007, Inventor 11,
Stav: Offline
Bodů: 21
Přímý odkaz na tuto zprávu Téma: Poradí niekto???
    Zasláno: 29.bře.2007 v 11:27
Potrebujem spojit 2 čiary do seba, robým to pomocou ikony UNION, vyberiem objekty, a potvrdím-enterom. Nič sa nestane. Neviem či to blbne program alebo či som niekde spravil chybu??? Poradte ak niekto vie v čom by to mohlo byt??Cry
                    Za radu dik
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
Arkance Systems

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 20298
Přímý odkaz na tuto zprávu Zasláno: 29.bře.2007 v 11:36
To není správný příkaz (je na oblasti a 3D tělesa).
Použijte PLJOIN.
Vladimír Michl (moderátor)
Arkance Systems s.r.o. - www.arkance-systems.cz
(podpora viz hd.cads.cz)
Zpět nahoru
Pavoldubovany Zobrazit panel
Diskutér
Diskutér

Přihlášen: 23.bře.2007
Lokalita: Slovensko
Používám:
AutoCAD Mechanical 2007, Inventor 11,
Stav: Offline
Bodů: 21
Přímý odkaz na tuto zprávu Zasláno: 29.bře.2007 v 11:46
Nazdar, použil som ten príkaz a postupoval som nasledovne:
 
Command: PLJOIN                                 .............enter......
Select objects: 1 found
Select objects: 1 found, 2 total             .............enter.....a vyhodilo mi to....
Select objects:
 Join Type = Both (Fillet and Add)
   
a vôbec mi to nespojilo tie čiary. Poradíš mi s tím???


Zpět nahoru
Machacek Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 04.říj.2004
Lokalita: ČR (HK)
Používám:
AutoCAD 2020LT + subscription
Stav: Offline
Bodů: 686
Přímý odkaz na tuto zprávu Zasláno: 29.bře.2007 v 11:49
a spojujete line nebo polyline?
Jiří Macháček

AutoCAD LT 2020
Zpět nahoru
Pavoldubovany Zobrazit panel
Diskutér
Diskutér

Přihlášen: 23.bře.2007
Lokalita: Slovensko
Používám:
AutoCAD Mechanical 2007, Inventor 11,
Stav: Offline
Bodů: 21
Přímý odkaz na tuto zprávu Zasláno: 29.bře.2007 v 11:50
line
Zpět nahoru
Machacek Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 04.říj.2004
Lokalita: ČR (HK)
Používám:
AutoCAD 2020LT + subscription
Stav: Offline
Bodů: 686
Přímý odkaz na tuto zprávu Zasláno: 29.bře.2007 v 11:53
pljoin je myslím jenom pro polyline
 
pokud chcete line spojit tak použijte příkaz _fillet s radiusem = 0, ale to Vám jenom ty čáry spojí, neudělá to jeden objekt
Jiří Macháček

AutoCAD LT 2020
Zpět nahoru
Robo Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 02.led.2006
Stav: Offline
Bodů: 120
Přímý odkaz na tuto zprávu Zasláno: 29.bře.2007 v 12:07
pljoin funguje aj na line al polyline, s tym ze z line vytvori polyline. pokial su ciary oddelene treba nastavit nejaku hodnotu v akom okruhu ma spojit ciary.
Join Type = Both (Fillet and Add)
Enter fuzz distance or [Jointype] <.....>: *Cancel*
Zpět nahoru
PepaR Zobrazit panel
CAD/BIM manager
CAD/BIM manager
Avatar

Přihlášen: 29.lis.2004
Lokalita: ČR (ZL)
Používám:
ruky a hlavu (občas ;)
Stav: Offline
Bodů: 6116
Přímý odkaz na tuto zprávu Zasláno: 29.bře.2007 v 13:12
Pro spojení čár v AutoCADu je funkce Spojit, dále existuje funkce PLJOIN, která převede dotýkající se čáry nebo čáry, které se nedotýkají přímo v  uzlech, ale koncemi jsou blízko sebe, na křivku (proto se u PLJOIN zadáva tolerance aby funkce věděl zda má spojit do křivky i čáry poblíž uzlu). Dále existuje nástroj SP.lsp od pana Seinera, který dělá obdobu funkce Spojit, ale spojuje i úsečky, které nejsou naproti sobě.
PepaR
www | fb
Zpět nahoru
Ferdinand Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 01.říj.2004
Lokalita: ČR (JM)
Používám:
AutoCAD2004 (EN) na Windows XP
Stav: Offline
Bodů: 1904
Přímý odkaz na tuto zprávu Zasláno: 12.čvc.2007 v 10:09
Najednou mi přestal fungovat ET příkaz pljoin. Na p.ř. je:
Command: pljoin 5 found
 Join Type = Both (Fillet and Add)
Enter fuzz distance or [Jointype] <0.00>:
Processing pline data....
Invalid option keyword.
Zkoušel jsem v různých výkresech s různými nastaveními, i v prázdném výkrese se 3ma na sebe navazujícíma nakreslenýma čarama anebo polylajnama (snap=1) - nic. Přeinstalovat ET?
-FerTh-
Zpět nahoru
PepaR Zobrazit panel
CAD/BIM manager
CAD/BIM manager
Avatar

Přihlášen: 29.lis.2004
Lokalita: ČR (ZL)
Používám:
ruky a hlavu (občas ;)
Stav: Offline
Bodů: 6116
Přímý odkaz na tuto zprávu Zasláno: 12.čvc.2007 v 10:48
Jak máte nastavenu proměnnou peditaccept? Zkuste jí změnit hodnotu na 0.
 
Anebo použijte makro BenyCZ:
 
Citace
;;; spoji cary do krivky
(defun C:spojitdokrivky     (/ PDACPT)
;;;nastaví peditaccept
(setq PDACPT (getvar "peditaccept"))
(setvar "peditaccept" 1)

;;;vlastní funkce
(command "_pedit" pause "_j" (ssget) "" "")
(princ)
;;; obnovuje původní peditaccept
(setvar "peditaccept" PDACPT)
(princ)



Upravil PepaR - 12.čvc.2007 v 10:49
PepaR
www | fb
Zpět nahoru
Ferdinand Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 01.říj.2004
Lokalita: ČR (JM)
Používám:
AutoCAD2004 (EN) na Windows XP
Stav: Offline
Bodů: 1904
Přímý odkaz na tuto zprávu Zasláno: 12.čvc.2007 v 13:14
Ano, byla to ona, mrška.  Thumbs%20Up Kde na to chodíte, snad znáte všechna, co která proměnná řídí? Já jsem hledal sys.prom. která začínají na "pl...". Záhadou je, proč se svévolně přeměnila na 1 Geek Další zajímavostí je, že citovaný lispík právě že funguje když je (setvar "peditaccept" 1)
-FerTh-
Zpět nahoru
PepaR Zobrazit panel
CAD/BIM manager
CAD/BIM manager
Avatar

Přihlášen: 29.lis.2004
Lokalita: ČR (ZL)
Používám:
ruky a hlavu (občas ;)
Stav: Offline
Bodů: 6116
Přímý odkaz na tuto zprávu Zasláno: 12.čvc.2007 v 13:32
Používám PLJOIN často i když v nových verzích není podporováno a s podobným problémem jako Vy, jsem se potkal cca před dvěma týdny.
 
Proměnné znám jen okrajově ;)
 
U lispu je to proto aby to nevyvolávalo výzvu, že vybrané objekty nejsou křivky, teda alespoň se domnívám, že to tak je.
PepaR
www | fb
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 8116:Import/export filtrů hladin v Civil 3D 2012-2009.
Tip 6690:Snadné rozložení MINSERT objektů.
Tip 6004:Zabezpečení přístupu k dokumentům ve Vaultu.
Tip 8127:Jak rychle zjistit barvu entity ve výkresu AutoCADu?
Tip 12829:Převod pseudo-tabulek z čar a textů na DWG objekty TABLE.
Tip 12719:Jak převést segmenty přerušovaného typu čáry zpět na původní tvar čáry?


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,172 sekund.